Integration profiles
List integration profiles
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
merchantId?string
Format
uuidmode?string
Value in
"checkout" | "h2h_card" | "h2h_apm"status?string
Value in
"enabled" | "disabled"sortOrder?string
Value in
"asc" | "desc"cursor?string
limit?integer
Default
20Range
1 <= value <= 100Response Body
application/json
curl -X GET "https://<api-host>/v1/admin/integration-profiles"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"merchantId": "c3073b9d-edd0-49f2-a28d-b7ded8ff9a8b",
"tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
"mode": "checkout",
"status": "enabled",
"returnUrl": "string",
"sessionLifetime": 0,
"maxDeclineAttempts": 0,
"cascadingEnabled": true,
"cascadePolicy": {
"property1": null,
"property2": null
},
"defaultLocale": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": null
}
],
"pagination": {
"nextCursor": "string",
"prevCursor": "string",
"hasMore": true,
"totalCount": 0
}
}Empty